Bug 7975 - can't use patron import
Summary: can't use patron import
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P1 - high blocker (vote)
Assignee: Galen Charlton
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7785
  Show dependency treegraph
 
Reported: 2012-04-17 18:08 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-04-17 18:08:16 UTC
I'm on master and when I click on the patron import tool (on two different servers) I get the following:


Software error:

Can't locate object method "columns" via package "C4::Members" at /home/nengard/kohaclone/tools/import_borrowers.pl line 61.
Comment 1 Magnus Enger 2012-04-17 21:34:09 UTC
Confirmed - I get the same error!
Comment 2 Chris Cormack 2012-04-17 22:25:23 UTC
10:17 ~/git/koha.git $ git bisect start
10:18 ~/git/koha.git $ git bisect good v3.06.00
10:18 ~/git/koha.git $ git bisect bad HEAD

Bisecting: 574 revisions left to test after this (roughly 9 steps)
[99f2f62be926cf42812a639c4a5b3f458729aec3] Bug 7530: Missing <li> tag in circ-menu.inc

git bisect good
Bisecting: 269 revisions left to test after this (roughly 8 steps)
[0c40ff9f9814295fe27f52047bfbe4ef7b47e78b] Merge remote-tracking branch 'kc/master' into merged_5549

10:20 ~/git/koha.git $ git bisect good
Bisecting: 134 revisions left to test after this (roughly 7 steps)
[7335add2a259028247c8cd590862e8490fa68a54] bug 7291 follow-up DBRev number

10:21 ~/git/koha.git $ git bisect good
Bisecting: 58 revisions left to test after this (roughly 6 steps)
[8e9fc9b38565e574d9537250b579db023234cbcb] Merge remote-tracking branch 'origin/new/bug_2780'

git bisect bad
Bisecting: 37 revisions left to test after this (roughly 5 steps)
[44ab1c531d1aca7bf5223ad011b7a1e848a291b7] Bug 7445 - Clicking on a tag gives "Language ... does not exist"

10:22 ~/git/koha.git $ git bisect bad
Bisecting: 18 revisions left to test after this (roughly 4 steps)
[313e4288d368eca765faa3a4026269ba1d990412] Bug 2780 - Capitalize strings consistently (Cataloging)

 git bisect good
Bisecting: 9 revisions left to test after this (roughly 3 steps)
[ce046f9a732a74a7b6a5ddca228d2579c08d288d] Stop unnecessary warnings in get_language

10:23 ~/git/koha.git $ git bisect good
Bisecting: 4 revisions left to test after this (roughly 2 steps)
[ef038b258ebfef315cea06bcf27d92eada86e9d7] Merge remote-tracking branch 'origin/new/bug_7310'

10:23 ~/git/koha.git $ git bisect bad
Bisecting: 1 revision left to test after this (roughly 1 step)
[413a1e1e61b343db47b9b6fdecf3d981d87013ef] Merge remote-tracking branch 'origin/new/bug_7143'

10:23 ~/git/koha.git $ git bisect bad
Bisecting: 1 revision left to test after this (roughly 1 step)
[1c8df08aea5eb173d7216cdfc9895fdd601a5f11] Bug 7785: Remove unused function columns() which uses a MySQLism.

10:24 ~/git/koha.git $ git bisect bad
1c8df08aea5eb173d7216cdfc9895fdd601a5f11 is the first bad commit
commit 1c8df08aea5eb173d7216cdfc9895fdd601a5f11
Author: Marc Balmer <marc@msys.ch>
Date:   Fri Mar 23 17:37:02 2012 +0100

    Bug 7785: Remove unused function columns() which uses a MySQLism.
    
      Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
    
    Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>

:040000 040000 d04138ec5eecdb142b710f7c2becc64cbb5616ce 6b50498b230dde06aa56c3a0fcde5cd5043863c2 M      C4

So that commit broke it

Can we revert it out Paul?
Comment 3 Paul Poulain 2012-04-19 08:24:05 UTC
Patch reverted, i'll update bug 7785 accordingly